:mod:`cjklib.exception` --- Error classes
=========================================


.. automodule:: cjklib.exception






Exceptions
------------

.. autoclass:: AmbiguousConversionError
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: AmbiguousDecompositionError
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CompositionError
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ConversionError
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: DecompositionError
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: InvalidEntityError
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: NoInformationError
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: UnsupportedError
   :show-inheritance:
   :members:
   :undoc-members:
   

